Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

menumodulelist.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: menumodulelist.php 7594 2001-09-30 11:57:59Z bf $
5 //
6 // Created on: <30-Sep-2001 14:50:42 bf>
7 //
8 // This source file is part of Exponential Basic, publishing software.
9 //
10 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
11 //
12 // This program is free software; you can redistribute it and/or
13 // modify it under the terms of the GNU General Public License
14 // as published by the Free Software Foundation; either version 2
15 // of the License, or (at your option) any later version.
16 //
17 // This program is distributed in the hope that it will be useful,
18 // but WITHOUT ANY WARRANTY; without even the implied warranty of
19 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
20 // GNU General Public License for more details.
21 //
22 // You should have received a copy of the GNU General Public License
23 // along with this program; if not, write to the Free Software
24 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
25 //
26
27
28 $Language = $ini->variable( "eZBugMain", "Language" );
29
30 // include_once( "classes/eztemplate.php" );
31
32 // include_once( "ezbug/classes/ezbugmodule.php" );
33
34 $t = new eZTemplate( "kernel/ezbug/user/" . $ini->variable( "eZBugMain", "TemplateDir" ),
35 "kernel/ezbug/user/intl", $Language, "menumodulelist.php" );
36 $t->setAllStrings();
37
38 $t->set_file( "module_list", "menumodulelist.tpl" );
39
40 $t->set_block( "module_list", "module_item_tpl", "module_item" );
41
42 $t->set_var( "site_style", $SiteDesign );
43
44 $module = new eZBugModule( $ParentID );
45 $t->set_var( "this_id", $ParentID );
46
47 $moduleList =& $module->getByParent( $module );
48
49 if ( count( $moduleList ) == 0 )
50 {
51 $t->set_var( "module_item", "ingen moduler funnet" );
52 }
53 else
54 {
55 $i=0;
56 foreach( $moduleList as $moduleItem )
57 {
58 if ( ( $i %2 ) == 0 )
59 {
60 $t->set_var( "td_class", "bglight" );
61 }
62 else
63 {
64 $t->set_var( "td_class", "bgdark" );
65 }
66
67 $t->set_var( "module_id", $moduleItem->id() );
68 $t->set_var( "module_name", $moduleItem->name() );
69
70 $i++;
71 $t->parse( "module_item", "module_item_tpl", true );
72 }
73 }
74
75 $t->pparse( "output", "module_list" );
76
77 ?>
$i
$i
Definition: admin/adlist.php:91
eZBugModule
Definition: ezbugmodule.php:56
eZTemplate
Definition: eztemplate.php:107
$ini
$ini
Definition: classes/admin/linklist.php:64
$SiteDesign
$SiteDesign
Definition: ezbulkmail/user/datasupplier.php:31
$ParentID
$ParentID
Definition: eztrade/admin/categorylist.php:171
$t
$t
Definition: menumodulelist.php:34
$Language
$Language
Definition: menumodulelist.php:28
$moduleList
$moduleList
Definition: menumodulelist.php:47
$module
$module
Definition: menumodulelist.php:44
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.